UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Newbie braincake
Newbie
11,043 Views
Registered: ‎02-07-2011

ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Dear Xilinx enthousiasts,

 

I have installed the ISE Webpack 12.4 on a Kubuntu (Ubuntu with KDE front-end) 10.10 machine.

All the ISE Webpack functionalities work great, except from the ISIM simulator.

When I want to simulate, I get the following message:

 

FATAL_ERROR:Simulator:Fuse:cpp:209:1.124.4.5 - Failed to compile one of the generated C files.

 

Can someone (maybe with Ubuntu/KDE Linux experience) tell me what is going wrong here?

 

I checked all my C and C++ compilers on the machine, but all seems to be there and functioning.

I know Kubuntu is not supported, but in fact it is 99% the same as the supported OpenSUSE (also KDE Linux).

 

Thanks in advance! :smileywink:

 

 

0 Kudos
1 Solution

Accepted Solutions
Visitor gudjon
Visitor
13,737 Views
Registered: ‎04-01-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Hi

    I am using ISE Webpack on Debian Unstable which I guess is very much similar to Kubuntu 10.10. My solution to this problem is the following:

In the following directories:

/opt/Xilinx/12.4/ISE_DS/common/lib/lin

/opt/Xilinx/12.4/ISE_DS/ISE/lib/lin

do the following

# mkdir old

# mv libstdc++.so* old

If you are running on a 64 bit system you may have to install all the ia32 libraries.

Then you need to install gnome or XFCE or some other window manager. ISE segfaults in KDE for some reason.

I have tested this on three computers with the same result.

 

Hope it helps

Gudjon

12 Replies
Newbie braincake
Newbie
11,026 Views
Registered: ‎02-07-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

In addition;

The project works fine under Windows 7 (ISIM and ModelSim XE), but this is a desktop and I want to be mobile with my Linux laptop.

0 Kudos
Xilinx Employee
Xilinx Employee
10,979 Views
Registered: ‎11-16-2007

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Check if the following addresses your issue:

 

http://www.xilinx.com/support/answers/30332.htm

 

Thanks,
-PK
0 Kudos
Newbie braincake
Newbie
10,975 Views
Registered: ‎02-07-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

I already found (and tried) that solution.

The packages gcc and glibc-devel are installed, but I still have a version conflict.

ISIM wants a different version then distributed on my Linux system.

 

The post in your link is also from beginning of 2010 and I am using the Kubuntu version from 10.2010.

 

Is there anyone who has experience with this?

0 Kudos
Newbie braincake
Newbie
10,796 Views
Registered: ‎02-07-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Bump!

 

Anybody???

0 Kudos
Visitor gudjon
Visitor
13,738 Views
Registered: ‎04-01-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Hi

    I am using ISE Webpack on Debian Unstable which I guess is very much similar to Kubuntu 10.10. My solution to this problem is the following:

In the following directories:

/opt/Xilinx/12.4/ISE_DS/common/lib/lin

/opt/Xilinx/12.4/ISE_DS/ISE/lib/lin

do the following

# mkdir old

# mv libstdc++.so* old

If you are running on a 64 bit system you may have to install all the ia32 libraries.

Then you need to install gnome or XFCE or some other window manager. ISE segfaults in KDE for some reason.

I have tested this on three computers with the same result.

 

Hope it helps

Gudjon

10,538 Views
Registered: ‎04-22-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Which packages specifically are the ia32 libraries ?

 

thank you

0 Kudos
Visitor gndrix
Visitor
10,530 Views
Registered: ‎04-25-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Hello, I'd like to know the answer too. Running ArchLinux on x86_64. I'm trying to follow the ISE in depth tutorial and can't simulate due to the same error. Any help would be appreciated.

0 Kudos
Visitor gndrix
Visitor
10,528 Views
Registered: ‎04-25-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Hello, I just found the answer in archlinux, I can't tell if it'll work for kubunt, bur you should give it a try. Look at this post: 

 

https://bbs.archlinux.org/viewtopic.php?id=111551

 

Fourth answer, by cryptix. symlink isim''s libstdc++ library to the one in your system:

 

 

for 32bit:
ln -s /usr/lib/libstdc++.so.6 /opt/Xilinx/12.4/ISE_DS/ISE/lib/lin/libstdc++.so.6

for 64bit:
ln -s /usr/lib/libstdc++.so.6 /opt/Xilinx/12.4/ISE_DS/ISE/lib/lin64/libstdc++.so.6

 

Hope it helps, it did the trick for me in a matter of seconds...

 

0 Kudos
Visitor gudjon
Visitor
10,516 Views
Registered: ‎04-01-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution
Hi
   andreselsuave:  The ia32 libraries are libraries that are compiled for the intel 32 bit archtecture to be used on amd64 computers, see: http://packages.debian.org/sid/ia32-libs . It allows you to run 32 bit programs on a 64 bit system,  these are also available for Ubuntu.
   But does anyone experience segfaults when using kde4? If so, has anyone found a solution?
Regards
Gudjon
  

0 Kudos
4,088 Views
Registered: ‎10-02-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

I can confirm that on Ubuntu 11.04 with ISE 12.4 the simulation works AFTER removing the Xilinx copies of "libstdc++.so*" (note wildcard *) in .../Xilinx/VERSION_NUMBER/ISE_DS/ISE/lib/lin64/ (or for 32bit, .../lin/ instead of .../lin64/) and .../Xilinx/VERSION_NUMBER/ISE_DS/ISE/common/lib/lin64/ (or for 32bit .../lin/ instead of .../lin64/) Just as has been said by gudjon.

 

Without the private copies of these libraries ISE is forced to look for the shared copies (that are made for your system version) which, unlike the private copies, do work.

 

11GB is a lot of bloatware, what else is in there wasting space and getting in the way of things working right? 11GB is larger then Windows 7!  And why can't they just us the package system like all the *good* linux programs? But I digress...

0 Kudos
Newbie cryptkeep
Newbie
4,026 Views
Registered: ‎11-09-2011

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

This worked for me, Ubuntu 11.04 64-bit.  Thanks gndrix.

 

Had to move the old libstdc++.so.6 first.

 

sudo mv /opt/Xilinx/13.3/ISE_DS/ISE/lib/lin64/libstdc++.so.6 /opt/Xilinx/13.3/ISE_DS/ISE/lib/lin64/libstdc++.so.6.old

sudo ln -s /usr/lib/libstdc++.so.6 /opt/Xilinx/13.3/ISE_DS/ISE/lib/lin64/libstdc++.so.6

0 Kudos
Newbie ogheri1
Newbie
3,902 Views
Registered: ‎04-18-2012

Re: ISIM simulator under Kubuntu 10.10 - Compile error

Jump to solution

Thanks sir, this helps also under opensuse 11.3, for which the ISE and planAhead were working already perfectly, but not IUSIM, which now, thanks to your suggestion, works fine for me too!!

0 Kudos